is_keras_available {keras} | R Documentation

## Check if Keras is Available

### Description

Probe to see whether the Keras python package is available in the current system environment.

### Usage

    is_keras_available(version = NULL)

### Arguments

`version` | Minimum required version of Keras (defaults to `NULL`, no required version).

### Value

Logical indicating whether Keras (or the specified minimum version of Keras) is available.

### Examples

    ## Not run:
    # testthat utilty for skipping tests when Keras isn't available
    skip_if_no_keras <- function(version = NULL) {
      if (!is_keras_available(version))
        skip("Required keras version not available for testing")
    }

    # use the function within a test
    test_that("keras function works correctly", {
      skip_if_no_keras()
      # test code here
    })

    ## End(Not run)

[Package keras version 2.2.4 Index]